#ifndef __IOracle_h__
#define __IOracle_h__

#include "Vector.h"

class Event;

class IOracle
{
public:
    class OracleChooser
    {
    public:
        virtual Event choose( Vector<Event> &enabledEvents ) = 0;
        virtual ~OracleChooser() {}
    };

    virtual ~IOracle() {}
};

#endif // __IOracle_h__

//
// Local Variables:
// compile-command: "make -C .. "
// tags-file-name: "../TAGS"
// c-basic-offset: 4
// End:
//
