#ifndef __StateCycle_h__
#define __StateCycle_h__

struct StateCycle
{
public:
    Vector<String> _states;

    void append( String state )
    {
        _states.append( state );
    }

    unsigned size()
    {
        return _states.size();
    }

    String start()
    {
        if ( _states.size() == 0 )
        {
            return "";
        }

        return _states[0];
    }

    String operator[]( unsigned index )
    {
        return _states[index];
    }
};

#endif // __StateCycle_h__

//
// Local Variables:
// compile-command: "make -C .. "
// tags-file-name: "../TAGS"
// c-basic-offset: 4
// End:
//
